%  de_rand binomial
%
function y=derand(P,F,CR,expt);
	N=length(P(:,1));
	d=length(P(1,:))-1;
	y=P(expt(1),1:d);
    vyb=nahvyb_expt(N,3,expt);	% three random points without expt
    r1=P(vyb(1),1:d);
    r2=P(vyb(2),1:d);
    r3=P(vyb(3),1:d);
    v=r1+F*(r2-r3);
    change=find(rand(1,d)<CR);
    if length(change)==0 % at least one element is changed
        change=1+fix(d*rand(1));
    end
    y(change)=v(change);
%